import com.installshield.wizard.*;
import com.installshield.wizard.service.*;
import com.installshield.util.*;
import com.installshield.product.service.product.*;
import java.io.*;

public class STAFWriteRegFile extends WizardAction
{
    public void execute(WizardBeanEvent event)
    {
        String fileSep = System.getProperty("file.separator");
        String regFileName = resolveString("$P(absoluteInstallLocation)") +
            fileSep + "STAFReg.inf";        
            
        File stafRegFile = new File(regFileName);
        
        if (stafRegFile.exists())
        {
            stafRegFile.delete();
        }
        
        FileWriter writer = null;
        String lineSep = System.getProperty("line.separator");
        
        try
        {
            writer = new FileWriter(stafRegFile);
            
            String name = resolveString("$W(stafOptions.registrationName)");
            String email = resolveString("$W(stafOptions.registrationEmail)");
            String org = 
                resolveString("$W(stafOptions.registrationOrganization)");
                            
            writer.write("name:" + name + lineSep);
            writer.write("email:" + email + lineSep);
            writer.write("org:" + org + lineSep);            
            
            writer.close();           
        }
        catch (IOException ex)
        {
            ex.printStackTrace();
        }        
    }
}