/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

package com.ibm.staf;

// STAFQueueMessage - This class is used to inspect and manipulate a message
//                    retrieved from the STAF Queue service

public class STAFQueueMessage
{
    public STAFQueueMessage(String qMessage)
    {
        int timestampPos  = qMessage.indexOf(";");
        int machinePos    = qMessage.indexOf(";", timestampPos + 1);
        int handleNamePos = qMessage.indexOf(";", machinePos + 1);
        int handlePos     = qMessage.indexOf(";", handleNamePos + 1);
        int messagePos    = qMessage.indexOf(";", handlePos + 1);

        try
        { priority = Integer.parseInt(qMessage.substring(0, timestampPos)); }
        catch (NumberFormatException e)
        { priority = -1; }

        timestamp  = qMessage.substring(timestampPos  + 1, machinePos);
        machine    = qMessage.substring(machinePos    + 1, handleNamePos);
        handleName = qMessage.substring(handleNamePos + 1, handlePos);

        try
        {
            handle = Integer.parseInt(qMessage.substring(handlePos + 1,
                                                         messagePos));
        }
        catch (NumberFormatException e)
        { handle = -1; }

        message = qMessage.substring(messagePos + 1);
    }

    public int    priority;
    public String timestamp;
    public String machine;
    public String handleName;
    public int    handle;
    public String message;
}
