#############################################################################
# Software Testing Automation Framework (STAF)                              #
# (C) Copyright IBM Corp. 2002                                              #
#                                                                           #
# This software is licensed under the Common Public License (CPL) V1.0.     #
#############################################################################

use PLSTAF;

$handle = STAF::STAFHandle->new("Lang/Perl/Test/Basic"); 

if ($handle->{rc} != $STAF::kOk) { 
    print "Error registering with STAF, RC: $handle->{rc}\n"; 
    return $handle->{rc};
} 

print "Using handle: $handle->{handle}\n";

$result = $handle->submit("local", "ping", "ping");

if (($handle->{rc} != $STAF::kOk) or ($result->{result} != "PONG")) {
    print "Error on ping request.\n";
    print "Expected RC: 0, Result: PONG\n";
    print "Received RC: $handle->{rc}, Result: $result->{result}\n";
    return $handle->{rc}; 
}

$result = $handle->submit("local", "var", "resolve {STAF/Config/EffectiveMachine}");

if ($handle->{rc} != $STAF::kOk) { 
    print "Error resolving effective machine, RC: $handle->{rc}, Result: $result->{result}\n"; 
    return $handle->{rc};
}

print "All tests successful"
