#############################################################################
# Software Testing Automation Framework (STAF)                              #
# (C) Copyright IBM Corp. 2001                                              #
#                                                                           #
# This software is licensed under the Common Public License (CPL) V1.0.     #
#############################################################################

LIB_PLSTAF = $(subst Name,PLSTAF,$(DLL))

stafif_perl_targets += $(REL)/bin/PLSTAF.pm     \
                       $(REL)/bin/STAF.pl       \
                       $(REL)/bin/STAF2.pl      \
                       $(REL)/docs/STAFPerl.htm
Targets += $(stafif_perl_targets)
CleanupTargets += cleanup_stafif_perl

$(stafif_perl_targets): SUBSYS_REL := lang/perl
SUBSYS_REL := lang/perl

#=====================================================================
#   C/C++ Info Flags
#=====================================================================

stafif_perl_objs :=\
  PLSTAF

stafif_perl_objs        := $(foreach obj,$(stafif_perl_objs),$(O)/lang/perl/$(obj)$(OS_OE))
stafif_perl_dependents  := $(stafif_perl_objs:$(OS_OE)=.d)
$(stafif_perl_dependents): SUBSYS_REL = lang/perl

ifeq ($(OS_NAME),win32)
    stafif_perl_objs += $(SRC)/lang/perl/PLSTAF.def
endif

# Include dependencies
ifneq ($(InCleanup), "1")
    include $(stafif_perl_dependents)
endif

# Include inference rules
include $(InferenceRules)

# STAFIF PERL targets

$(REL)/lib/$(LIB_PLSTAF): $(stafif_perl_objs) $(LIB_STAF_FP) $(MAKEFILE_NAME)
	$(SHARED_LIB_IT)

$(REL)/bin/PLSTAF.pm:      $(SRC)/lang/perl/PLSTAF.pm       $(MAKEFILE_NAME)
	$(COPY_FILE)

$(REL)/bin/STAF.pl:        $(SRC)/lang/perl/STAF.pl         $(MAKEFILE_NAME)
	$(COPY_FILE)

$(REL)/bin/STAF2.pl:       $(SRC)/lang/perl/STAF2.pl        $(MAKEFILE_NAME)
	$(COPY_FILE)
	
$(REL)/docs/STAFPerl.htm:  $(SRC)/lang/perl/STAFPerl.htm    $(MAKEFILE_NAME)
	$(COPY_FILE)

cleanup_stafif_perl:
	-@$(DEL) $(O)/lang/perl/* $(OUT_ERR_TO_DEV_NULL)
	-@$(DEL) $(REL)/bin/PLSTAF.pm $(OUT_ERR_TO_DEV_NULL)
	-@$(DEL) $(REL)/bin/STAF.pl $(OUT_ERR_TO_DEV_NULL)
	-@$(DEL) $(REL)/bin/STAF2.pl $(OUT_ERR_TO_DEV_NULL)

