#############################################################################
# Software Testing Automation Framework (STAF)                              #
# (C) Copyright IBM Corp. 2001                                              #
#                                                                           #
# This software is licensed under the Common Public License (CPL) V1.0.     #
#############################################################################

ifeq ($(PERL_BUILD_V56),1)

OS_COMMONFLAGS += -DPERL5_6PLUS

LIB_PLSTAF = $(subst Name,PLSTAF,$(DLL))

stafif_perl56_targets += $(REL)/lib/perl56/$(LIB_PLSTAF)
Targets += $(stafif_perl56_targets)
CleanupTargets += cleanup_stafif_perl56

$(stafif_perl56_targets): SUBSYS_REL := lang/perl/perl56
SUBSYS_REL := lang/perl/perl56

#=====================================================================
#   C/C++ Info Flags
#=====================================================================

$(stafif_perl56_targets)    : INCLUDEDIRS = $(PERL_V56_INCLUDEDIRS)
$(stafif_perl56_targets)    : LIBS        = STAF $(PERL_V56_LIBS)
$(stafif_perl56_targets)    : LIBDIRS     = STAF $(PERL_V56_LIBDIRS)
$(stafif_perl56_targets)    : OBJS        = $(stafif_perl56_objs)

stafif_perl56_objs :=\
  PLSTAF

stafif_perl56_objs        := $(foreach obj,$(stafif_perl56_objs),$(O)/lang/perl/perl56/$(obj)$(OS_OE))
stafif_perl56_dependents  := $(stafif_perl56_objs:$(OS_OE)=.d)
$(stafif_perl56_dependents): SUBSYS_REL = lang/perl/perl56
$(stafif_perl56_dependents): INCLUDEDIRS = $(PERL_V56_INCLUDEDIRS)

ifeq ($(OS_NAME),win32)
    stafif_perl56_objs += $(SRC)/lang/perl/PLSTAF.def
endif

# Include dependencies
ifneq ($(InCleanup), "1")
    include $(stafif_perl56_dependents)
endif

# Include inference rules
include $(InferenceRules)

# These two rules allow us to build the Perl specific versions from the common
# parent tree

$(O)/$(SUBSYS_REL)/%.d: $(SRC)/$(SUBSYS_REL)/../%.cpp
	$(C_DEPEND_IT)

$(O)/$(SUBSYS_REL)/%$(OS_OE): $(SRC)/$(SUBSYS_REL)/../%.cpp
	$(COMPILE_IT)

# STAFIF PERL56 targets

$(REL)/lib/perl56/$(LIB_PLSTAF): $(stafif_perl56_objs) $(LIB_STAF_FP) $(MAKEFILE_NAME)
	$(SHARED_LIB_IT)

cleanup_stafif_perl56:
	-@$(DEL) $(O)/lang/perl/perl56/* $(OUT_ERR_TO_DEV_NULL)
	-@$(DEL) $(REL)/lib/perl56/PLSTAF.dll $(OUT_ERR_TO_DEV_NULL)

endif