#############################################################################
# Software Testing Automation Framework (STAF)                              #
# (C) Copyright IBM Corp. 2001                                              #
#                                                                           #
# This software is licensed under the Common Public License (CPL) V1.0.     #
#############################################################################

ifeq ($(PERL_BUILD_V58),1)

OS_COMMONFLAGS += -DPERL5_6PLUS

LIB_PLSTAF = $(subst Name,PLSTAF,$(DLL))

stafif_perl58_targets += $(REL)/lib/perl58/$(LIB_PLSTAF)
Targets += $(stafif_perl58_targets)
CleanupTargets += cleanup_stafif_perl58

$(stafif_perl58_targets): SUBSYS_REL := lang/perl/perl58
SUBSYS_REL := lang/perl/perl58

#=====================================================================
#   C/C++ Info Flags
#=====================================================================

$(stafif_perl58_targets)    : INCLUDEDIRS = $(PERL_V58_INCLUDEDIRS)
$(stafif_perl58_targets)    : LIBS        = STAF $(PERL_V58_LIBS)
$(stafif_perl58_targets)    : LIBDIRS     = STAF $(PERL_V58_LIBDIRS)
$(stafif_perl58_targets)    : OBJS        = $(stafif_perl58_objs)

stafif_perl58_objs :=\
  PLSTAF

stafif_perl58_objs        := $(foreach obj,$(stafif_perl58_objs),$(O)/lang/perl/perl58/$(obj)$(OS_OE))
stafif_perl58_dependents  := $(stafif_perl58_objs:$(OS_OE)=.d)
$(stafif_perl58_dependents): SUBSYS_REL = lang/perl/perl58
$(stafif_perl58_dependents): INCLUDEDIRS = $(PERL_V58_INCLUDEDIRS)

ifeq ($(OS_NAME),win32)
    stafif_perl58_objs += $(SRC)/lang/perl/PLSTAF.def
endif

# Include dependencies
ifneq ($(InCleanup), "1")
    include $(stafif_perl58_dependents)
endif

# Include inference rules
include $(InferenceRules)

# These two rules allow us to build the Perl specific versions from the common
# parent tree

$(O)/$(SUBSYS_REL)/%.d: $(SRC)/$(SUBSYS_REL)/../%.cpp
	$(C_DEPEND_IT)

$(O)/$(SUBSYS_REL)/%$(OS_OE): $(SRC)/$(SUBSYS_REL)/../%.cpp
	$(COMPILE_IT)

# STAFIF PERL58 targets

$(REL)/lib/perl58/$(LIB_PLSTAF): $(stafif_perl58_objs) $(LIB_STAF_FP) $(MAKEFILE_NAME)
	$(SHARED_LIB_IT)

cleanup_stafif_perl58:
	-@$(DEL) $(O)/lang/perl/perl58/* $(OUT_ERR_TO_DEV_NULL)
	-@$(DEL) $(REL)/lib/perl58/PLSTAF.dll $(OUT_ERR_TO_DEV_NULL)

endif