#############################################################################
# Software Testing Automation Framework (STAF)                              #
# (C) Copyright IBM Corp. 2001                                              #
#                                                                           #
# This software is licensed under the Common Public License (CPL) V1.0.     #
#############################################################################

###################################################
# STAFUtil.tcl - STAF Utility TCL Library         #
###################################################

package provide STAF 1.0
package require TCLSTAF

namespace eval STAF {

    variable kOk                                 0
    variable kInvalidAPI                         1
    variable kUnknownService                     2
    variable kInvalidHandle                      3
    variable kHandleAlreadyExists                4
    variable kHandleDoesNotExist                 5
    variable kUnknownError                       6
    variable kInvalidRequestString               7
    variable kInvalidServiceResult               8
    variable kREXXError                          9
    variable kBaseOSError                       10
    variable kProcessAlreadyComplete            11
    variable kProcessNotComplete                12
    variable kVariableDoesNotExist              13
    variable kUnResolvableString                14
    variable kInvalidResolveString              15
    variable kNoPathToMachine                   16
    variable kFileOpenError                     17
    variable kFileReadError                     18
    variable kFileWriteError                    19
    variable kFileDeleteError                   20
    variable kSTAFNotRunning                    21
    variable kCommunicationError                22
    variable kTrusteeDoesNotExist               23
    variable kInvalidTrustLevel                 24
    variable kAccessDenied                      25
    variable kSTAFRegistrationError             26
    variable kServiceConfigurationError         27
    variable kQueueFull                         28
    variable kNoQueueElement                    29
    variable kNotifieeDoesNotExist              30
    variable kInvalidAPILevel                   31
    variable kServiceNotUnregisterable          32
    variable kServiceNotAvailable               33
    variable kSemaphoreDoesNotExist             34
    variable kNotSemaphoreOwner                 35
    variable kSemaphoreHasPendingRequests       36
    variable kTimeout                           37
    variable kJavaError                         38
    variable kConverterError                    39
    variable kServiceAlreadyExists              40
    variable kInvalidObject                     41
    variable kInvalidParm                       42
    variable kRequestNumberNotFound             43
    variable kInvalidAsynchOption               44
    variable kRequestNotComplete                45
    variable kProcessAuthenticationDenied       46
    variable kInvalidValue                      47
    variable kDoesNotExist                      48
    variable kAlreadyExists                     49
    variable kDirectoryNotEmpty                 50
    variable kDirectoryCopyError                51
    variable kDiagnosticsNotEnabled             52
    variable kServiceDefined                  4000

}

################################################################
# STAF::WrapData - Wraps a TCL String using colon delimited    # 
#                  STAF format                                 # 
# Accepts: A string                                            #
# Returns: Colon-delimited version of input string             #
################################################################

proc STAF::WrapData {data} { 
  return :[string length $data]:$data
}
