/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001, 2004                                        */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_LogService
#define STAF_LogService

#ifdef __cplusplus
extern "C"
{
#endif

// Note: Error codes 4001, 4002, 4003, 4005, 4006, and 4009 are no longer
//       returned by the Log service.  These are provided for compatibility
//       with older implementations of the Log service.

typedef enum STAFLogError_e
{
    kSTAFLogInvalidNumber = 4001,
    kSTAFLogInvalidDate = 4002,
    kSTAFLogInvalidTime = 4003,
    kSTAFLogInvalidLevel = 4004,
    kSTAFLogInvalidDirectory = 4005,
    kSTAFLogCreateDirectoryError = 4006,
    kSTAFLogInvalidFileFormat = 4007,
    kSTAFLogPurgeFailure = 4008,
    kSTAFLogUnknownRemoteLogServer = 4009,
    kSTAFLogExceededDefaultMaxRecords = 4010
} STAFLogError_t;


#ifdef __cplusplus
}
#endif

#endif
