/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_SocketConnectionFactory
#define STAF_SocketConnectionFactory

#include "STAF.h"
#include "STAFConnectionFactory.h"
#include "STAFSocketConnection.h"

class STAFSocketConnectionFactory : public STAFConnectionFactory
{
public:

    STAFSocketConnectionFactory(unsigned short port);

    virtual STAFConnAllocInfo acceptConnection();

    virtual ~STAFSocketConnectionFactory();

private:

    // Don't allow copy construction or assignment
    STAFSocketConnectionFactory(const STAFSocketConnectionFactory &);
    STAFSocketConnectionFactory &operator=(const STAFSocketConnectionFactory &);

    STAFSocket_t fSocket;
};

#endif
