/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_SocketFuncs
#define STAF_SocketFuncs

#include "STAF.h"

class STAFSocketFuncs
{
public:

    static int initSocketFuncs();

    static STAFSocket_t (SYSLINK *accept)(STAFSocket_t, struct sockaddr *,
                                          int *);
    static int    (SYSLINK *bind)(STAFSocket_t, struct sockaddr *, int);
    static int    (SYSLINK *connect)(STAFSocket_t, struct sockaddr *, int);
    static int    (SYSLINK *gethostname)(char *, int);
    static int    (SYSLINK *listen)(STAFSocket_t, int);
    static int    (SYSLINK *recv)(STAFSocket_t, char *, int, int);
    static int    (SYSLINK *select)(int, fd_set *, fd_set *, fd_set *,
                                    struct timeval *);
    static int    (SYSLINK *send)(STAFSocket_t, char *, int, int);
    static int    (SYSLINK *sock_errno)(void);
    static STAFSocket_t (SYSLINK *socket)(int, int, int);
    static int    (SYSLINK *soclose)(STAFSocket_t);
    static int    (SYSLINK *soshutdown)(STAFSocket_t, int);
    static unsigned short   (SYSLINK *bswap)(unsigned short);
    static struct hostent * (SYSLINK *gethostbyaddr)(const char *, int, int);
    static struct hostent * (SYSLINK *gethostbyname)(const char *);
    static unsigned long    (SYSLINK *inet_addr)(const char *);
    static unsigned long    (SYSLINK *lswap)(unsigned long);

    static int getRealHostName(STAFString &hostname);
    static STAFRC_t getInAddrByName(const char *, in_addr *, unsigned int *osRC);

    enum BlockingMode { kBlocking = 0, kNonBlocking = 1 };
    static int setBlockingMode(STAFSocket_t theSocket,
                               BlockingMode blockingMode);
};

#endif
