/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_LocalConnectionFactory
#define STAF_LocalConnectionFactory

#include "STAFOSTypes.h"
#include "STAFConnectionFactory.h"
#include "STAFLocalConnection.h"
#include "STAFString.h"

// STAFLocalConnectionFactory - Extends STAFConnectionFactory to allow for
//                              server side acceptance of local connections
//                              via Unix-domain sockets

class STAFLocalConnectionFactory : public STAFConnectionFactory
{
public:

    STAFLocalConnectionFactory(STAFString localName);

    virtual STAFConnAllocInfo acceptConnection();

    virtual ~STAFLocalConnectionFactory();

private:

    // Don't allow copy construction or assignment
    STAFLocalConnectionFactory(const STAFLocalConnectionFactory &);
    STAFLocalConnectionFactory &operator=(const STAFLocalConnectionFactory &);

    STAFSocket_t fSocket;
};

#endif
