/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_LocalConnection
#define STAF_LocalConnection

#include "STAFConnection.h"

// STOS2NPConnection - Derives from STConnection to provide support for
//                     Named Pipes on OS2.

class STAFLocalConnection : public STAFConnection
{
public:

    static STAFConnAllocInfo create(STAFString pipeName);
    static STAFConnAllocInfo create(HANDLE readHandle, HANDLE writeHandle);

    // Reads size bytes into buffer
    virtual void read(void *buffer, unsigned int size);

    // Writes size bytes from buffer
    virtual void write(void *buffer, unsigned int size);

    static void freeLocalConnection(STAFConnection *pConn);

    virtual ~STAFLocalConnection();

private:

    // Don't allow copy construction or assignment
    STAFLocalConnection(const STAFLocalConnection &);
    STAFLocalConnection &operator=(const STAFLocalConnection &);

    // User's must use the create functions
    STAFLocalConnection(STAFString pipeName);
    STAFLocalConnection(HANDLE readHandle, HANDLE writeHandle);
    void STAFLocalConnection::InitConnection();
    BOOL STAFLocalConnection::InitAdvApi32();

    HANDLE fReadHandle;
    HANDLE fWriteHandle;
};

#endif
