/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_LocalConnectionFactory
#define STAF_LocalConnectionFactory

#include "STAFString.h"
#include "STAFConnectionFactory.h"
#include "STAFLocalConnection.h"
#include "STAFMutexSem.h"

class STAFLocalConnectionFactory : public STAFConnectionFactory
{
public:

    STAFLocalConnectionFactory(STAFString localName,
                               unsigned char instanceCount = 0xFF);

    virtual STAFConnAllocInfo acceptConnection();

    virtual ~STAFLocalConnectionFactory();

private:

    // Don't allow copy construction or assignment
    STAFLocalConnectionFactory(const STAFLocalConnectionFactory &);
    STAFLocalConnectionFactory &operator=(const STAFLocalConnectionFactory &);
    void STAFLocalConnectionFactory::InitConnectionFactory();
    BOOL STAFLocalConnectionFactory::InitAdvApi32();

    STAFString fLocalName;
    STAFMutexSem fClientMutex;
    HANDLE fServerSynch;
    HANDLE fClientSynch;
    void *fSharedMemAddr;
    HANDLE fFileMapHandle;
    unsigned char fInstanceCount;
};

#endif
