/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_HandleService
#define STAF_HandleService

#include "STAFService.h"
#include "STAFCommandParser.h"

// STAFHandleService - Handles requests about process handles

class STAFHandleService : public STAFService
{
public:

    STAFHandleService();

    virtual STAFServiceResult acceptRequest(
                              const STAFServiceRequest &requestInfo);

    virtual STAFString info(unsigned int raw = 0) const;

    virtual ~STAFHandleService();

private:

    // Don't allow copy construction or assignment
    STAFHandleService(const STAFHandleService &);
    STAFHandleService &operator=(const STAFHandleService &);

    STAFServiceResult handleCreate(const STAFServiceRequest &requestInfo);
    STAFServiceResult handleDelete(const STAFServiceRequest &requestInfo);
    STAFServiceResult handleQuery(const STAFServiceRequest &requestInfo);
    STAFServiceResult handleHelp(const STAFServiceRequest &requestInfo);

    STAFCommandParser fCreateParser;
    STAFCommandParser fDeleteParser;
    STAFCommandParser fQueryParser;
};

#endif
