/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_MiscService
#define STAF_MiscService

#include "STAFService.h"
#include "STAFCommandParser.h"

class STAFMiscService : public STAFService
{
public:

    STAFMiscService();

    virtual STAFServiceResult acceptRequest(
                              const STAFServiceRequest &requestInfo);

    virtual STAFString info(unsigned int raw = 0) const;

    virtual ~STAFMiscService();

private:

    // Don't allow copy construction or assignment
    STAFMiscService(const STAFMiscService &);
    STAFMiscService &operator=(const STAFMiscService &);

    STAFServiceResult handleMachine(const STAFServiceRequest &requestInfo);
    STAFServiceResult handleVersion(const STAFServiceRequest &requestInfo);
    STAFServiceResult handleTrace(const STAFServiceRequest &requestInfo);
    STAFServiceResult handleThread(const STAFServiceRequest &requestInfo);
    STAFServiceResult handleHelp(const STAFServiceRequest &requestInfo);

    STAFCommandParser fMachineParser;
    STAFCommandParser fTraceParser;
    STAFCommandParser fThreadParser;
};

#endif
