/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_STAFProc
#define STAF_STAFProc

#include "STAF.h"
#include "STAFRefPtr.h"
#include "STAFString.h"
#include "STAFVariablePool.h"
#include "STAFMutexSem.h"
#include "STAFEventSem.h"
#include "STAFProcess.h"
#include <map>

extern STAFHandle_t gSTAFProcHandle;
extern STAFHandlePtr gSTAFProcHandlePtr;
extern STAFProcessID_t gSTAFProcPID;

extern STAFVariablePoolPtr *gGlobalVariablePoolPtr;

class STAFThreadManager;
extern STAFThreadManager *gThreadManagerPtr;

class STAFHandleManager;
extern STAFHandleManager *gHandleManagerPtr;

class STAFTrustManager;
extern STAFTrustManager *gTrustManagerPtr;

class STAFDiagManager;
extern STAFDiagManager *gDiagManagerPtr;

class STAFConnectionManager;
extern STAFConnectionManager *gConnectionManagerPtr;

class STAFServiceManager;
extern STAFServiceManager *gServiceManagerPtr;

class STAFRequestManager;
extern STAFRequestManager *gRequestManagerPtr;

class STAFNotificationList;
extern STAFNotificationList *gNotifyOnStartPtr;
extern STAFNotificationList *gNotifyOnShutdownPtr;
extern STAFEventSemPtr *gShutdownSemaphorePtr;
typedef std::map<STAFString, STAFString> STAFEnvMap;
extern STAFEnvMap *gEnvMapPtr;
extern unsigned char *gEnvBuffer;
extern int gEnvSize;

extern STAFMutexSem *gDirectorySemPtr;

extern STAFString gVersion;
extern int gUseLongNames;
extern STAFString *gMachineNamePtr;
extern STAFString *gMachineNetNamePtr;
extern STAFString *gSTAFWriteLocationPtr;

extern int gSpecifiedMachineConfig;
extern int gUseTCPIPInterface;
extern unsigned short gTCPIPPort;
extern unsigned int gTCPIPConnectionTimeout;
extern unsigned int gTCPIPConnectionAttempts;
extern unsigned int gConnectionRetryDelay;

extern unsigned int gNumInitialThreads;
extern long gMaxFiles;
extern unsigned int gMaxQueueSize;
extern STAFProcessConsoleMode_t gDefaultConsoleMode;

extern STAFString *gLineSeparatorPtr;
extern STAFString *gFileSeparatorPtr;
extern STAFString *gPathSeparatorPtr;
extern STAFString *gCommandSeparatorPtr;

#endif
