/*****************************************************************************/
/* Software Testing Automation Framework (STAF)                              */
/* (C) Copyright IBM Corp. 2001                                              */
/*                                                                           */
/* This software is licensed under the Common Public License (CPL) V1.0.     */
/*****************************************************************************/

#ifndef STAF_ProcUtil
#define STAF_ProcUtil

#ifdef __cplusplus

#include "STAFString.h"
#include "STAF.h"
#include "STAFException.h"
#include "STAFCommandParser.h"
#include "STAFVariablePool.h"

extern STAFRC_t resolveUIntIfExists(STAFCommandParseResultPtr &parsedResult,
                                    const STAFString &optionName,
                                    STAFVariablePool *primaryPool,
                                    unsigned int &result,
                                    STAFString &errorBuffer,
                                    unsigned int defaultValue = 0);

extern STAFRC_t resolveUInt(const STAFString &unresolved,
                            STAFVariablePool *primaryPool,
                            unsigned int &result, STAFString &errorBuffer,
                            unsigned int defaultValue = 0);

extern STAFRC_t resolveStringIfExists(STAFCommandParseResultPtr &parsedResult,
                                      const STAFString &optionName,
                                      STAFVariablePool *primaryPool,
                                      STAFString &result,
                                      STAFString &errorBuffer);

extern STAFRC_t resolveString(const STAFString &unresolved,
                              STAFVariablePool *primaryPool,
                              STAFString &result, STAFString &errorBuffer); 

extern STAFString effectiveMachineName(const STAFString &machine);

extern STAFVariablePoolPtr getClientVariablePool(const STAFString &client,
                                                 STAFHandle_t handle);

extern bool isLocalMachine(const STAFString &machine,
                           unsigned int fullCompare = 0);

#endif

#endif






